For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • GETGet Match
        • GETTest Match
        • GETGet Multi
        • GETGet Unique Values For Dimension
        • GETGet Rate History
        • POSTUpload a fee schedule (a collection of rates)
        • DELDelete a rate
        • GETGet Payer Thresholds Default
        • GETGet Payer Thresholds
        • PUTSet Payer Threshold
        • POSTHard delete rates
        • POSTHard delete rates by IDs
Contact Sales
LogoLogo
API ReferenceFee SchedulesV3

Hard delete rates

POST
/api/fee-schedules/v3/hard-delete
POST
/api/fee-schedules/v3/hard-delete
$curl -X POST https://api.joincandidhealth.com/api/fee-schedules/v3/hard-delete \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "states": [
> "AA"
> ],
> "zip_codes": [
> "zip_codes"
> ],
> "license_types": [
> "MD"
> ],
> "facility_type_codes": [
> "01"
> ],
> "network_types": [
> "12"
> ],
> "payer_plan_group_ids": [
> "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
> ],
> "modifiers": [
> "AV"
> ]
>}'
200Successful
11
Hard deletes rates from the system that match the provided dimensions. This is a destructive operation and cannot be undone. If an empty dimensions object is provided, all rates will be hard deleted. The maximum number of rates this API will delete at a time is 10000. Returns the number of rates deleted and if that number is the maximum, the caller should call this API again to continue deleting rates.
Was this page helpful?
Previous

Hard delete rates by IDs

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Request

This endpoint expects an object.
statesset of enumsRequired
zip_codesset of stringsRequired
license_typesset of enumsRequired
facility_type_codesset of enumsRequired
network_typesset of enumsRequired
payer_plan_group_idsset of UUIDsRequired
modifiersset of enumsRequired
payer_uuidUUIDOptional
organization_billing_provider_idUUIDOptional
cpt_codestringOptional

Response

This endpoint returns an integer.